pskc_strerror_name(3)

NAME
pskc_strerror_name - API function

SYNOPSIS
#include <pskc.h>

const char * pskc_strerror_name(int err);

ARGUMENTS

int err
    error code, a pskc_rc value.

DESCRIPTION
Convert return code to human readable string representing the error code symbol itself. For example, pskc_strerror_name(PSKC_OK) returns the string "PSKC_OK". This string can be used to output a diagnostic message to the user. This function is one of few in the library that can be used without a successful call to pskc_init().

RETURN VALUE
Returns a pointer to a statically allocated string containing a string version of the error code err, or NULL if the error code is not known.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.